Subject: bug#59662: 29.0.50; [PATCH] Add treesit--indent-defun

From: Dmitry Gutov <[email-masked]>
Date: Fri, 9 Dec 2022 00:49:02 +0200

On 09/12/2022 00:10, Theodor Thornhill via Bug reports for GNU Emacs, 
the Swiss army knife of text editors wrote:
> 
> On 8 December 2022 23:05:37 CET, Dmitry Gutov<[email-masked]>  wrote:
>> On 08/12/2022 21:15, Theodor Thornhill via Bug reports for GNU Emacs, the Swiss army knife of text editors wrote:
>>> Ok, will do.  In preparation for that function, we need that variable on
>>> the emacs-29 branch, right?
>> If the variable will be soon substituted with something else, it seems unwise to define it on the release branch. But then again, if we declare the whole tree-sitter feature as experimental, maybe it'll be okay.
>>
>> Depends on what else you want to do with it in emacs-29.
> I was thinking in line of what you wrote in your other mail, but that might be too big to go to emacs-29.

My gut feeling is it will require some time to stabilize, grow the 
required features and whatnot, with associated churn. Then it's better 
to put into master.

But I can just as well be wrong on this subject, and being able to take 
advantage of this feature will be pretty nice.

Speaking of improvements for release, though, have you thought about the 
other idea, the "faster syntax-ppss"? It shouldn't require changes to 
public-facing infrastructure (or very little; like un-obsoleting 
syntax-begin-function). Though whether it will require new constants or 
not, I cannot say.